Eclipse Platform Release 3.7

## org.eclipse.update.core
Class VersionedIdentifier

    java.lang.Object
      org.eclipse.update.core.VersionedIdentifier

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public class VersionedIdentifier

extends Object

Versioned Identifier. This is a utility class combining an identification string with a version.

Clients may instantiate; not intended to be subclassed by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `PluginVersionIdentifier`

Constructor Summary
`VersionedIdentifier(String id, String versionName)` Deprecated. Construct a versioned identifier from an identifier and a string representation of a version

Method Summary
`boolean` `equals(Object obj)` Deprecated. Compares two versioned identifiers for equality
`String` `getIdentifier()` Deprecated. Returns the identifier
`PluginVersionIdentifier` `getVersion()` Deprecated. Returns the version
`int` `hashCode()` Deprecated. Returns a computed hashcode for the versioned identifier.
`String` `toString()` Deprecated. Returns a string representation of the versioned identifier.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionedIdentifier

    public VersionedIdentifier(String id,
                               String versionName)

  Deprecated.
  Construct a versioned identifier from an identifier and a string representation of a version

  Parameters:
    `id` - identifier string
    `versionName` - string representation of version
  Since:
    2.0
  See Also:
    `PluginVersionIdentifier.toString()`

Method Detail

### getIdentifier

    public String getIdentifier()

  Deprecated.
  Returns the identifier

  Returns:
    identifier
  Since:
    2.0

### getVersion

    public PluginVersionIdentifier getVersion()

  Deprecated.
  Returns the version

  Returns:
    version
  Since:
    2.0

### toString

    public String toString()

  Deprecated.
  Returns a string representation of the versioned identifier.

  Overrides:
    `toString` in class `Object`
  Returns:
    string representation of versioned identifier. The resulting string is <id>_<version>, where <id> is the identifier and <version> is the string representation of the version
  Since:
    2.0

### equals

    public boolean equals(Object obj)

  Deprecated.
  Compares two versioned identifiers for equality

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - other versioned identifier to compare to
  Returns:
    `true` if the two objects are equal, `false` otherwise
  Since:
    2.0

### hashCode

    public int hashCode()

  Deprecated.
  Returns a computed hashcode for the versioned identifier.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    hash code
  Since:
    2.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.